%define	major	0
%define	api	0.2
%define	libname	%mklibname %{name} %{api}_%{major}
%define	devname	%mklibname -d %{name}

Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Name:		gegl
Version:	0.2.0
Release:	5
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/
Source0:	ftp://ftp.gimp.org/pub/gegl/%{api}/%{name}-%{version}.tar.bz2
Patch0:		gegl-0.2.0-ffmpeg-0.11.patch

BuildRequires:	enscript
BuildRequires:	intltool
BuildRequires:	graphviz
BuildRequires:	imagemagick
BuildRequires:	pango-modules
BuildRequires:	ruby
#gw warning: this needs the deprecated libavcodec scaler (img_convert,...)
BuildRequires:	ffmpeg-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(babl) >= 0.1.10
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libopenraw-1.0)
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(sdl)

%description
GEGL (Generic Graphics Library) is a graph based image processing 
framework.

GEGLs original design was made to scratch GIMPs itches for a new 
compositing and processing core. This core is being designed to 
have minimal dependencies. and a simple well defined API. 

%package -n     %{libname}
Summary:	A library for %{name}
Group:		System/Libraries

%description -n	%{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%package -n	%{devname}
Summary:	Header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%prep
%setup -q 
%if %mdvver >= 201200
%patch0 -p1 -b .ffmpeg11~
%endif
sed -e 's/\.dylib/.bundle/' -i configure.ac || die
autoreconf -fi

%build
%configure2_5x \
	--enable-workshop \
	--with-pango \
	--with-gdk-pixbuf \
	--without-libspiro \
	--disable-docs 
%make

%install
%makeinstall_std
%find_lang %{name}-%{api}
#gw not done automatically in 2011:
rm -f %buildroot%_libdir/*.la
rm -f %buildroot%_libdir/gegl-%{api}/*.la

%files -f %{name}-%{api}.lang
%doc README AUTHORS NEWS
%{_bindir}/gegl
%{_libdir}/gegl-%{api}/*.so

%files -n %{libname}
%{_libdir}/libgegl-%{api}.so.%{major}*

%files -n %{devname}
%doc ChangeLog
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Thu Aug 02 2012 Götz Waschk <waschk@mandriva.org> 0.2.0-5
+ Revision: 811571
- remove libtool archives
- only apply ffmpeg11 patch for Cooker
- fix build deps for libpng

* Thu Jun 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.0-5
+ Revision: 807435
- cleanups
- package locale files properly with the help of %%find_lang
- fix unfinished ffmpeg 0.11 patch
- don't manually remove libtool files, this is now handled by spec-helper

* Fri Jun 08 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.0-4
+ Revision: 803497
- rebuild

* Fri Jun 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.2.0-3
+ Revision: 803411
- Port to ffmpeg 0.11
- Rebuild for ffmpeg 0.11

* Sun May 13 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.2.0-2
+ Revision: 798584
- rebuild so devel pkg doesnt obsolete itself

* Sat May 12 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.2.0-1
+ Revision: 798513
- version update 0.2.0

* Fri Dec 23 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.1.8-1
+ Revision: 744668
- new version 0.1.8
- rediff for gegl-0.1.8-ffmpeg.diff
- removed upstreamed gegl-0.1.6-gtkdochtml.patch
- cleaned up spec
- moved plugins to main pkg
- converted BRs to pkgconfig provides

* Tue Oct 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-2
+ Revision: 702726
- fix build with latest ffmpeg

* Wed Apr 20 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.1.6-1
+ Revision: 656293
- new version 0.1.6
- added p0 to fix the destination directory of the gtkdochtml files

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-2mdv2011.0
+ Revision: 605444
- rebuild

* Sat Feb 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 505579
- New version 0.1.2
- bump babl BR
- use api major
- BR libopenraw-devel

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2010.1
+ Revision: 488756
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.0
+ Revision: 416615
- rebuilt against libjpeg v7

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 393181
- new version
- bump babl dep
- source URL

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.0.22-1mdv2009.1
+ Revision: 323638
- New version 0.0.22
- patches merged upstream

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Dec 08 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.20-3mdv2009.1
+ Revision: 311772
- add P2 from gegl svn to fix black image generation (#46138)

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-2mdv2009.1
+ Revision: 293311
- fix patch 0

* Sun Oct 12 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-1mdv2009.1
+ Revision: 293043
- fix build deps
- new version
- update patch 0

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 228562
- new version
- fix build with glib
- bump babl dep
- fix license
- add docs
- rearrange spec file

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-3mdv2009.0
+ Revision: 207582
- reenable ffmpeg

* Tue Apr 29 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-2mdv2009.0
+ Revision: 198955
- disable ffmpeg support
- use the right configure macro

* Wed Apr 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.16-1mdv2009.0
+ Revision: 194739
- Add missing BR
- Add more missing BR
- add missing BR (from Fedora)
- New version
- fix libs
- enable-workshop

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add BuildRequires
    - Import gegl

